mm-count.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::MiniModelCount::IntInt
| Test number of equal integers equal to integer More...
class | Test::Int::MiniModelCount::IntVar
| Test number of equal integers equal to integer variable More...
class | Test::Int::MiniModelCount::VarVar
| Test number of equal variables equal to integer variable More...
class | Test::Int::MiniModelCount::VarInt
| Test number of equal variables equal to integer More...
class | Test::Int::MiniModelCount::IntArrayInt
| Test number of several equal integers equal to integer More...
class | Test::Int::MiniModelCount::IntArrayVar
| Test number of several equal integers equal to integer variable More...
class | Test::Int::MiniModelCount::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::MiniModelCount
| Tests for minimal modelling constraints (counting)

## Functions

std::string | Test::Int::MiniModelCount::expand (Gecode::IntRelType irt)
| Expand relation to abbreviation.

## Variables

Gecode::IntArgs | Test::Int::MiniModelCount::ints ({1, 0, 3, 2})
Create | Test::Int::MiniModelCount::c